Package fr.gouv.vitam.common.dsl.schema.meta

# Enum Class JsonTypeName

java.lang.Object
java.lang.Enum<JsonTypeName>
fr.gouv.vitam.common.dsl.schema.meta.JsonTypeName

All Implemented Interfaces:
  `Serializable`, `Comparable<JsonTypeName>`, `Constable`

public enum JsonTypeName extends Enum<JsonTypeName>
Json Type Name enum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARRAY`
  Json Array type
  `BOOLEAN`
  Json boolean type
  `NUMBER`
  Json number type
  `OBJECT`
  Json Object type
  `STRING`
  Json string type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static JsonTypeName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JsonTypeName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OBJECT

    public static final JsonTypeName OBJECT
    Json Object type

  - ### ARRAY

    public static final JsonTypeName ARRAY
    Json Array type

  - ### STRING

    public static final JsonTypeName STRING
    Json string type

  - ### NUMBER

    public static final JsonTypeName NUMBER
    Json number type

  - ### BOOLEAN

    public static final JsonTypeName BOOLEAN
    Json boolean type

- ## Method Details

  - ### values

    public static JsonTypeName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JsonTypeName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<JsonTypeName>`